<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Table Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classTable-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Table Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Table:</div>
<div class="dyncontent">
<div class="center"><img src="classTable__inherit__graph.png" border="0" usemap="#aTable_inherit__map" alt="Inheritance graph"/></div>
<map name="aTable_inherit__map" id="aTable_inherit__map">
<area shape="rect" title=" " alt="" coords="43,80,99,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Table:</div>
<div class="dyncontent">
<div class="center"><img src="classTable__coll__graph.png" border="0" usemap="#aTable_coll__map" alt="Collaboration graph"/></div>
<map name="aTable_coll__map" id="aTable_coll__map">
<area shape="rect" title=" " alt="" coords="43,80,99,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:aa58879fb0520d0637ea678ddd3bd8a64"><td class="memItemLeft" align="right" valign="top"><a id="aa58879fb0520d0637ea678ddd3bd8a64"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onClickedTreasureInPlayerStats</b> (<a class="el" href="classTreasure.html">Treasure</a> *, <a class="el" href="classPlayerStats.html">PlayerStats</a> *)</td></tr>
<tr class="separator:aa58879fb0520d0637ea678ddd3bd8a64"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:afde19347fc532cbcd66309efde86267d"><td class="memItemLeft" align="right" valign="top"><a id="afde19347fc532cbcd66309efde86267d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clickedTreasureInPlayerStatsInTable</b> (<a class="el" href="classTreasure.html">Treasure</a> *, <a class="el" href="classPlayerStats.html">PlayerStats</a> *, <a class="el" href="classTable.html">Table</a> *)</td></tr>
<tr class="separator:afde19347fc532cbcd66309efde86267d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8dc7e8dda29209aaa257bb3f8220fd49"><td class="memItemLeft" align="right" valign="top"><a id="a8dc7e8dda29209aaa257bb3f8220fd49"></a>
<a class="el" href="classPlayerStatsCollection.html">PlayerStatsCollection</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>getPlayerStats</b> ()</td></tr>
<tr class="separator:a8dc7e8dda29209aaa257bb3f8220fd49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78f0438dfa8cd388d457a5e8fcd1b109"><td class="memItemLeft" align="right" valign="top"><a id="a78f0438dfa8cd388d457a5e8fcd1b109"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>addTableToScene</b> (QGraphicsScene *sc)</td></tr>
<tr class="separator:a78f0438dfa8cd388d457a5e8fcd1b109"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae725444c11b9095117662cdb673965c"><td class="memItemLeft" align="right" valign="top"><a id="aae725444c11b9095117662cdb673965c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>push_back</b> (<a class="el" href="classPlayerStats.html">PlayerStats</a> *p)</td></tr>
<tr class="separator:aae725444c11b9095117662cdb673965c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f90634e34d019046c9b746d1717c2b2"><td class="memItemLeft" align="right" valign="top"><a id="a8f90634e34d019046c9b746d1717c2b2"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>size</b> ()</td></tr>
<tr class="separator:a8f90634e34d019046c9b746d1717c2b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4be796bc95c1d582f8eafef3b7ac21a4"><td class="memItemLeft" align="right" valign="top"><a id="a4be796bc95c1d582f8eafef3b7ac21a4"></a>
<a class="el" href="classPlayerStats.html">PlayerStats</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>operator[]</b> (int)</td></tr>
<tr class="separator:a4be796bc95c1d582f8eafef3b7ac21a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae851fe31b7a4c5e1d6e8b0a981507b71"><td class="memItemLeft" align="right" valign="top"><a id="ae851fe31b7a4c5e1d6e8b0a981507b71"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>height</b> () const</td></tr>
<tr class="separator:ae851fe31b7a4c5e1d6e8b0a981507b71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44437e13e96512e600cc08bf2350249d"><td class="memItemLeft" align="right" valign="top"><a id="a44437e13e96512e600cc08bf2350249d"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>width</b> () const</td></tr>
<tr class="separator:a44437e13e96512e600cc08bf2350249d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04159b630145fafde206e4a60c649d0c"><td class="memItemLeft" align="right" valign="top"><a id="a04159b630145fafde206e4a60c649d0c"></a>
QRectF&#160;</td><td class="memItemRight" valign="bottom"><b>boundingRect</b> () const</td></tr>
<tr class="separator:a04159b630145fafde206e4a60c649d0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f575b301ac48918393939f1270059e3"><td class="memItemLeft" align="right" valign="top"><a id="a1f575b301ac48918393939f1270059e3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>paint</b> (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)</td></tr>
<tr class="separator:a1f575b301ac48918393939f1270059e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>headers/<a class="el" href="table_8h_source.html">table.h</a></li>
<li>src/table.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
